
close all
clear all
clc

subplot(121)

Tv = [74 100 150 200 250 280]; %1:220;
pv = 1:6000;

hold all
for T = Tv
    for p = pv
        sigmaP(p) = IFTW(p,T);
    end
    plot(pv, sigmaP, 'DisplayName', ['@ ',num2str(T),'F'])
end


grid on
axis([0 6000 25 75])
xlabel('Pressure, psi')
ylabel('Interfacial Tension, dynes\cm')
title('Interfacial Tension Water-Gas')

subplot(122)
hold all

for p = [14.7 200 500 1000:1000:4000];

for T = 1:300;
    sigmaT(T) = IFTW(p,T);
end

%plot(sigmaT)
plot(sigmaT, 'DisplayName', ['@ ',num2str(p),' psi'])

end
grid on
axis([0 300 25 75])
xlabel('Temperature, F')
ylabel('Interfacial Tension, dynes\cm')
title('Interfacial Tension Water-Gas')


