% http://petrowiki.org/Produced_water_formation_volume_factor

function Bw = bw_mccain(p,T)
    dV_wp = -1.0001*10^-2 + 1.33391*10^-4*T+5.50654*10^-7*T^2;
    dV_wT = -1.95301*10^-9*p*T-1.72834*10^-13*p^2*T ...
        - 3.58922*10^-7*p-2.25341*10^-10*p^2;
    Bw = (1+dV_wp)*(1+dV_wT);
end
