clear all
close all
clc


for T = [50 100 150 200 250]


for p = 1:5000
k(p)=bw_mccain(p,T);
end

plot(k, 'DisplayName', ['@ ',num2str(T),'F'])
hold all


end

grid on
xlabel('Pressure, psi')
ylabel('Bw, RB/STB')
title('Formation Volume Factor Water McCain')

figure


for p = [1000 2000 3000 4000 5000]


for T = 1:250
n(T)=bw_mccain(p,T);
end

plot(n, 'DisplayName', ['@ ',num2str(p),' psi'])
hold all


end

grid on
xlabel('Temperature, F')
ylabel('Bw, RB/STB')
title('Formation Volume Factor Water McCain')