% vsg = 4.09; %ft/sec
% vsl = 2.65; %ft/sec
% d = 0.249; %ft
% NLV = 6.02;
% NGV = 9.29;
% P = 720;
% T = 128;
% e = 0.0006*d;
% g = 32.2;
% rhoL = 56.6;
% rhoG = 2.84;
% visL = 18;
% visG = 0.018;
% wm = 7.87; % lbm/sec
% 
% vm = vsg + vsl; %ft/sec
% lamdaL = vsl/vm;
% lamdaG = 1 - lamdaL;

p = 1719.5; %psi
T = 550;    %R
Z = 0.72;   
Rs = 947.3; %scf/stb
Bo = 1.495; %bbl/stb
Bw = 1.2;
GLR = 3393;
qo = 480;   %bpd
qw = 0;
ql = qo + qw;

SGo = 0.763;
SGw = 1.05;
SGg = 0.752;

qL = 6.4984*10^-5*(qo*Bo+qw*Bw); %ft3/sec
qG = 3.27*10^-7*0.72*(GLR-Rs)*ql*(T+460)/p; %ft3/sec
qT = qL + qG;


wL = 4.05*10^-3*(qo*SGo + qw*SGw) + 8.85*10^-7*ql*SGg*Rs;
wG = 8.85*10^-7*ql*SGg*(GLR-Rs);



% Bubble Flow
Lb = 1.071-0.2218*vm^2/d;
if Lb<0.13
    Lb = 0.13;
end
vs = 0.8; %% Gjettning?
HL = 1-0.5*(1+vm/vs-(1+vm/vs)^2-4*vsg/vg)^0.5
HG = 1- HL; 
ym = yL*HL + yG*HG;
%dP/dL = 2*f*yL*vL^2*(H

% Slug Flow
Ls = 50 + 36*NVG*vsl/vsg;

%vMist Flow
Lm = 75 +84*(NVG*vsl/vsg)^0.75;

if LB > 0.13
    LB = 0.13;
end


NReL = 1488*rhoL*vm*d/visL;
rhos = (rhoL*(vsl+vb)+rhoG*vsg)/(vm+vb)+rhoL*delta;

