vsg = 4.09; %ft/sec
vsl = 2.65; %ft/sec

d = 0.249; %ft

P = 720; %psi

wm = 7.87; % lbm/sec

rhoL = 56.6; %lbm/cuft
rhoG = 2.84; %lbm/cuft

vm = vsg + vsl; %ft/sec
lamdaL = vsl/vm;
lamdaG = 1 - lamdaL;

rhon = rhoL*lamdaL + rhoG*lamdaG; %lbm/cuft

rho_v_d = rhon*vm*d; %lbm/sqft-sec

f = 4*10^(1.444-2.5*log10(rho_v_d));

%f = 0.021;
w = wm*60*60*24;

dPdZ = rhon + f*w^2/(2.9652*10^11*rhon*d^5); %lbm/cuft
dPdZ = dPdZ/144;    %psi/ft