% Function Shifts a Vertical Vector Upwards With X Cells

% Input:
% A     -   Vector To Shift
% rate  -   Number of Spaces to Shift Upwards

% Output:
% B     -   Shifted Vector

function B = shift(A, rate)

n = length(A);                      % Length of Initial Vector
B = [A((rate+1):n); A(1:rate)];     % New Shifted Vector

end

