function qL = vogeladvanced(k,h,pr,pwf,pb,re,rw,S,B,vis)
%UNTITLED2 Summary of this function goes here
%  Detailed explanation goes here


%k = 8.2; % Effective Horizontal Permeability, md
%h = 53; % Pay Zone Thickness, ft
%pr = 5651; % Reservoir Pressure, psia
%re = 2980; % Drainage Radius, ft
%rw = 0.328; % Wellbore radius, ft
%S = 0; % Skin factor
%Bo = 1.1; % Fluid Formation Volume Factor
%visO = 1.7; % Fluid Viscosity, cp
%GOR = 1;

%pwf = 1130;
%pb = 3000; % Bubble Point Pressure, psia

    
Jm = k*h/(141.2*B*vis*(log(re/rw)-0.75+S));
Qb = Jm*(pr-pb);
Qv = Jm*pb/1.8;

if pr<pb
    qL = real(Jm*pr/1.8 *(1-0.2*pwf/pr-0.8*(pwf/pr)^2));
else
    qL = real(Qb+Qv*(1-0.2*pwf/pb-0.8*(pwf/pb)^2));
end

qL = max(0,qL);


end