function[] = fluidproptablemode(handles)

T = str2num(get(handles.tempval, 'String'));
PL = str2num(get(handles.plowval, 'String'));
PH = str2num(get(handles.phighval, 'String'));
dP = str2num(get(handles.dPval, 'String'));
do = str2num(get(handles.doval, 'String'))/12;
di = str2num(get(handles.dival, 'String'))/12;
inc = str2num(get(handles.edit119, 'String'));
%API = str2num(get(handles.APIval, 'String'));
%qL_SC = str2num(get(handles.qLval, 'String'));
%GLR = str2num(get(handles.GLRval, 'String'));
%WC = str2num(get(handles.WCval, 'String'))/100;
%yW = str2num(get(handles.yWval, 'String'));

x = get(handles.popupmenu7, 'String');
qL_SCv = transpose(str2num(x));
v = get(handles.popupmenu7, 'Value');
qL_SC = qL_SCv(v);
GLR = str2double(get(handles.edit109, 'String'));   % Producing gas-liquid ratio (GLR):	scf/stb
yW = str2double(get(handles.edit77, 'String'));
API = str2double(get(handles.edit81, 'String'));                                           % API Gravity Oil
WC = str2double(get(handles.edit78, 'String'))/100;
x = get(handles.popupmenu8, 'String');
y = get(handles.popupmenu8, 'Value');
GASTYPE = char(x(y));
[Mg, yG, T_pc, P_pc] = gasprop(GASTYPE);

e_rel = str2double(get(handles.edit113, 'String')); % Relative roughness
x = get(handles.popupmenu13, 'String');
correlationv = transpose(x);
v = get(handles.popupmenu13, 'Value');
correlation = char(correlationv(v));

for P = PL:dP:PH
    PARAMETERS = cor_allprop(do, inc, di, qL_SC, GLR, WC, API, yW, T, P, Mg, yG, T_pc, P_pc, e_rel, correlation);
    counter = str2num(get(handles.counter, 'String'));
    MATRIX = get(handles.uitable1, 'Data');
    if counter == 0
        NEWMATRIX = PARAMETERS;
    else
        NEWMATRIX = [MATRIX; PARAMETERS];
    end
    counter = counter + 1;
    set(handles.counter, 'String', num2str(counter));
    set(handles.uitable1, 'Data', NEWMATRIX);
end


plotdata

end