clear all; close all; clc;

Q = 0.83;
vf  = 2.68;
dh = 0.28;

[n, K] = sanghani(Q);

% Annular
vis_eA = K*((2*n+1)/(3*n))^n*(12*vf/dh)^(n-1); % Denne ER riktig gir visk i lbm/ft-sec , annul'rt
vis_eA1 = vis_eA*1488; % omregning til cp

% Pipe 
vis_eP = K*((3*n+1)/(4*n))^n*(8*vf/dh)^(n-1); 
vis_eP1 = vis_eP*1488; % omregning til cp

% Q = 0.80;
% vf = 5;
% dh = 3;
% YP = 0.2;
% PV = 0.4;
% visL = 0.15;
% 
% vis(1) = foamrheology(Q,vf,dh,YP,PV,visL,'Sanghani');
% vis(2) = foamrheology(Q,vf,dh,YP,PV,visL,'Reidenbach');
% vis(3) = foamrheology(Q,vf,dh,YP,PV,visL,'Mitchell');
% vis(4) = foamrheology(Q,vf,dh,YP,PV,visL,'Hatschek');
% vis(5) = foamrheology(Q,vf,dh,YP,PV,visL,'Einstein');
% vis(6) = foamrheology(Q,vf,dh,YP,PV,visL,'Blauer');
% 
% i = 0;
% for vf = 0.1:0.1:10
%     i = i+1;
%     viss(i) = foamrheology(Q,vf,dh,YP,PV,visL,'Sanghani');
%     visr(i) = foamrheology(Q,vf,dh,YP,PV,visL,'Reidenbach');
%     visb(i) = foamrheology(Q,vf,dh,YP,PV,visL,'Blauer');
%     
% end
% hold all
% plot(viss)
% plot(visr)
% plot(visb)