

clear all;
close all;
clc;

i = 0;
Qv = 0.60:0.01:0.96;

for Q = Qv

    i = i + 1;
    [n(i), K(i)] = reidenbach(Q);

end

[AX,H1,H2] = plotyy(Qv, n, Qv, K);
grid on

set(AX(1),'YLim',[0 0.8])
set(AX(1),'YTick',[0:0.1:0.8])
set(AX(2),'YLim',[0 10])
set(AX(2),'YTick',[0:10])
ylabel('n')
title('Reidenbach')
xlabel('Gas Quality')
set(get(AX(2),'Ylabel'),'string','K, lbf S^n-2/ft')