

function delta = survey(MD0, MD1, Inc0, Inc1, Azi0, Azi1)

phi = acosd(cosd(Inc0)*cosd(Inc1)+sind(Inc0)*sind(Inc1)*cosd(Azi1-Azi0));
F = 2/phi*(180/pi)*tand(phi/2);
if isnan(F)
    F = 1;
end
L=MD1-MD0;

DLS = 100*phi/L;


dTVD = F*L/2*(cosd(Inc0)+cosd(Inc1));
dN = F*L/2*(sind(Inc0)*cosd(Azi0)+sind(Inc1)*cosd(Azi1));
dE = F*L/2*(sind(Inc0)*sind(Azi0)+sind(Inc1)*sind(Azi1));


delta = [dTVD, dN, dE, phi, F, DLS];