

% Ti = 80; %Inlet Temp
% gT = 1.7/100; % Geothermal Gradient
% w = 8000; % Mass Flow Rate
% Cp = 3; % Specific Heat of fluid
% d = 5; % Pipe diameter


%A = w*CF/(pi*d*U);

C0 = 0.0063;
C1 = 0.4882;
C2 = 2.9150;
C3 = -0.3476;
C4 = 0.2219;
C5 = 0.2519;
C6 = 4.7240;

pwf = 150; % Wellhead Flowing Pressure, psi
rhoL = 56.8; % Liquid density, lbm/cuft
w = 9.3; %1/86400*(350*(qo*yo+qw*yw)+0.0764*qg*yg); %Total mass flow rate, lbm/sec
API = 24;
yG = 0.7;
d = 2.992;

A = C0*w^C1*rhoL^C2*d^C3*pwf^C4*API^C5*yG^C6;

z = 5985;


Tf = 173 - 0.0106*z*sin(90)+A*0.0106*sin(90)*(1-exp(-z/A));
